function ts1 = JRVTS1(t1,t3,l,n,d12,d23,m1,ro1,cp1,alfa13)
%==========================================================================
% JRVTS1 - funkcia vytvoren pre systm jednokapacitn sprudov rrkov 
% vmennk tepla. Funkcia na zklade zadanch vstupnch parametrov vypota 
% teploty mdia vo vntornej rrke pozdl vmennika tepla v sekoch urench
% pre diskretizciou. Tieto premenn s vloen do vektora ts1. Funkcia je 
% vyuvan v s-funkcii JRVTSS.
% vstupn parametre:
%       t1 - teplota mdia na vstupe do vntornej rrky vmennka tepla,
%            t.j. theta1(0). Rozmer (1 x 1) 
%       t3 - teplota mdia na vstupe do vonkajej rrky vmennka tepla,
%            t.j. theta3(0). Rozmer (1 x 1)
%       l  - dlka vmennka tepla. Rozmer (1 x 1)
%       n  - poet sekov pri diskretizcii. Rozmer (1 x 1)
%       d12 - priemer vntornej rrky. Rozmer (1 x 1)
%       d23 - priemer vonkajej rrky. Rozmer (1 x 1)
%       m1  - hmotnostn tok mdia vo vntornej rrke. Rozmer (1 x 1)
%       ro1 - hustota mdia vo vntornej rrke. Rozmer (1 x 1)
%       cp1 - pecifick tepeln kapacita mdia vo vntornej rrke
%       alfa13 - koeficient prestupu tepla prdenm z vntornho mdia do
%                 vonkajieho mdia
% vstupn parametre:
%       ts1 - vektor teplt. Rozmer (1 x n), kde jednotliv prvky predstavuj
%             teplotu mdia vo vntornej rrke pre jednotliv seky 
%             diskretizcie. Tvar ts1 = [ts1(1) .. ts1(i) .. ts1(n)]
%==========================================================================

% test sprvneho zadania vstupnch parametrov
if nargin == 10
    % vpoet kontnt d13, V1, A13, S12, dz
    d13 = (d12+d23)/2;  S12 = (pi*(d13^2))/4;
    V1 = S12;           A13 = pi*d13;
    dz = l/n;           q1 = m1/ro1;

    % vpoet kontnt T1, w1
    T1 = (ro1*cp1*V1)/(alfa13*A13);
    w1 = q1/S12;

    % vpoet kontnt a1, b1
    a1 = (T1*w1)/dz;
    b1 = ((T1*w1)/dz +1);

    %vpoet teplot theta1 pozdl vmennka tepla v RS
    for(i=2:1:n+1)
        t1(i) = (a1/b1)*t1(i-1) + 1/b1*t3;
    end
    %ts1=zeros(1,n);
    for(i=2:1:n+1)
        ts1(i-1)=t1(i);
    end
else
    error('NESPRAVNE ZADANE VSTUPNE PARAMETRE')
end
%==========================================================================




