function F = JRVTS2(x,t1,t3,l,n,d12,d23,m1,ro1,cp1,alfa13)
%==========================================================================
% JRVTS2 - funkcia vytvoren pre systm jednokapacitn sprudov rrkov
% vmennk tepla. Funkcia generuje na zklade zadanch vstupnch parametrov 
% vektor zvislost zmien teplt mdia vo vntornej rrke pre jednotliv
% seky uren diskretizciou od asu. Tieto premenn s vloen do vektora
% F. Premenn F je vyuvan v s-funkcii JRVTSS.
% vstupn parametre:
%       x  - vektor teplt v rovnovnom - ustlenom stave, ktor m tvar 
%               [T1(1) .. T1(i) ..T1(n)]
%            Rozmer (1 x n)  
%       t1 - teplota mdia na vstupe do vntornej rrky vmennka tepla,
%            t.j. theta1(0). Rozmer (1 x 1) 
%       t3 - teplota mdia na vstupe do vonkajej rrky vmennka tepla,
%            t.j. theta3(0). Rozmer (1 x 1)
%       l  - dlka vmennka tepla. Rozmer (1 x 1)
%       n  - poet sekov pri diskretizcii. Rozmer (1 x 1)
%       d12 - priemer vntornej rrky. Rozmer (1 x 1)
%       d23 - priemer vonkajej rrky. Rozmer (1 x 1)
%       m1  - hmotnostn tok mdia vo vntornej rrke. Rozmer (1 x 1)
%       ro1 - hustota mdia vo vntornej rrke. Rozmer (1 x 1)
%       cp1 - pecifick tepeln kapacita mdia vo vntornej rrke
%       alfa13 - koeficient prestupu tepla prdenm z vntornho mdia do
%                 vonkajieho mdia
% vstupn parametre:
%       F - vektor zmien teplt media vo vntornej rrke  pre jednotliv
%           seky diskretizcie od asu. Rozmer (1 x n). 
%==========================================================================

% test sprvneho zadania vstupnch parametrov
if nargin == 11
 % vpoet kontnt d13, V1, A13, S12, dz
    d13 = (d12+d23)/2;
    S12 = (pi*(d13^2))/4;
    V1 = S12;   A13 = pi*d13;
    dz = l/n;   q1 = m1/ro1;

    % vpoet kontnt T1, w1
    T1 = (ro1*cp1*V1)/(alfa13*A13);
    w1 = q1/S12;

    % vpoet kontnt a1, b1
    a1 = (T1*w1)/dz;
    b1 = ((T1*w1)/dz +1);

    ts=x';
    ts1 = cat (2,t1,ts);

    %vpoet teplot theta1 pozdl vmennka tepla v RS
   for(i=2:1:n+1)
       f1(i-1) = -(b1/T1)*ts1(i) + (a1/T1)*ts1(i-1) + (1/T1)*t3;
   end
    F=f1;
else
    error('NESPRAVNE ZADANE VSTUPNE PARAMETRE')
end
%==========================================================================
