function TS=JRVTS3(ts1,C)
%==========================================================================
% JRVTS3  -  funkcia  vytvoren  pre  systm jednokapacitn sprudov rrkov
% vmennk tepla - maticov tvar. Ulohou funkcie je vytvori zo zadanch 
% parametrov vstupn vektor sledovanch teplt v jednotlivch astiach
% vmennka  v ustlenom stave. Funkcia je vyuvan v m-file JRVTS_M.
% vstupn parametre:
%    ts1 - vektor teplt. Rozmer (1 x n), kde jednotliv prvky predstavuj
%          teplotu mdia vo vntornej rrke pre jednotliv seky 
%          diskretizcie. Tvar ts1 = [ts1(1) .. ts1(i) .. ts1(n)]
%    n  - poet sekov pri diskretizcii. Rozmer (1 x 1)
%    C - C matica vstupu, ktor nesie informcie o tom, ktor teploty
%        budeme sledova - mera. Je tvoren pomocou funkcie 
%        C=TRVTS_C(n,vystup). 
% vstupn parametre:
%    ts - ts vektor  sledovanch  teplt v  jednotlivch astiach 
%         vmennka tepla v ustlenom stave, t.j. TS = [ts1(i)..]
%==========================================================================

% test spravneho poctu vstupnych parametrov:
if nargin == 2
    % zskanie rozmerov matice C    
    p = length(C);
    % urenie vektora h do s-funkcie
    for(j=1:1:p)
        if(C(j)==1)
            ts(j)=ts1(j);
        else
            ts(j)=0;
        end
    end
    [a,b,d]=find(ts);
    TS=d;
else
    error ('NESPRAVNE ZADANY POCET VSTUPNYCH PARAMETROV')
end
%==========================================================================
