function A = JRVTS_A(l,n,d12,d23,m1,ro1,cp1,alfa13)
%==========================================================================
% JRVTS_A - funkcia, ktor vypota maticu A v ustlenom (rovnovnom)
% stave. Funkcia je vytvren pre maticov tvar modelu jednokapacitnho
% sprudovho rrokovho vmennka tepla  a je pouit v m-file JRVTS_M.
% vstupn parametre:
%       l  - dlka vmennka tepla. Rozmer (1 x 1)
%       n  - poet sekov pri diskretizcii. Rozmer (1 x 1)
%       d12 - priemer vntornej rrky. Rozmer (1 x 1)
%       d23 - priemer vonkajej rrky. Rozmer (1 x 1)
%       m1  - hmotnostn tok mdia vo vntornej rrke. Rozmer (1 x 1)
%       ro1 - hustota mdia vo vntornej rrke. Rozmer (1 x 1)
%       cp1 - pecifick tepeln kapacita mdia vo vntornej rrke
%       alfa13 - koeficient prestupu tepla prdenm z vntornho mdia do
%                 vonkajieho mdia
%vstupn parametre:
%       A - matica A - matica systmu
%==========================================================================

% test sprvneho potu vstupnch parametrov
if nargin == 8
    % vpoet kontnt d13, V1, A13, S12, dz
    d13 = (d12+d23)/2;
    S12 = (pi*(d13^2))/4;
    V1 = S12; 
    A13 = pi*d13;
    dz = l/n;
    q1 = m1/ro1;
    % vpoet kontnt T1, w1
    T1 = (ro1*cp1*V1)/(alfa13*A13);
    w1 = q1/S12;

    % vpoet kontnt a1, b1
    a1 = (T1*w1)/dz;
    b1 = ((T1*w1)/dz +1);

    % matica A
    % prv riadok
    for(i=1:1:n)
        for(j=1:1:n)
            if(i==1)
                if(j==1)
                    A(i,j)=(-b1/T1);
                else
                    A(i,j)=0;
                end
            else
                if(i==j | j==i-1)
                    if(i==j)
                        A(i,j)=(-b1/T1);
                    else
                        A(i,j)=(a1/T1);
                    end
                else
                    A(i,j)=0;
                end
            end
        end
    end
else
    error('NESPRAVNE ZADANE VSTUPNE PARAMETRE')
end
%==========================================================================
                
                
                
    
