function B = JRVTS_B(l,n,d12,d23,m1,ro1,cp1,alfa13,vst)
%==========================================================================
% DRVTS_B - funkcia, ktor vypota maticu B v ustlenom (rovnovnom)
% stave. Funkcia je vytvren pre maticov tvar modelu dvojkapacitnho
% sprudovho rrkovho vmennka tepla a je pouit v m-file DRVTS_M.
% vstupn parametre:
%       l  - dlka vmennka tepla. Rozmer (1 x 1)
%       n  - poet sekov pri diskretizcii. Rozmer (1 x 1)
%       d12 - priemer vntornej rrky. Rozmer (1 x 1)
%       d23 - priemer vonkajej rrky. Rozmer (1 x 1)
%       m1  - hmotnostn tok mdia vo vntornej rrke. Rozmer (1 x 1)
%       ro1 - hustota mdia vo vntornej rrke. Rozmer (1 x 1)
%       cp1 - pecifick tepeln kapacita mdia vo vntornej rrke
%       alfa13 - koeficient prestupu tepla prdenm z vntornho mdia do
%                 vonkajieho mdia
%       vst -  vektor aknch velin, ktor nadobda hodnoty 0 - 1 a jeho
%              rozmer je (1 x 2) t.j. [t1 t3]
%                   0 = ak nie je dan veliina akn - riadiaca
%                   1 = ak je dan veliina akn - riadiaca
% vstupn parametre:
%       B - matica B - matica riadenia
%==========================================================================

% test sprvneho potu vstupnch parametrov
if nargin == 9
    if length(vst)==2
        % vpoet kontnt d13, V1, A13, S12, dz
        d13 = (d12+d23)/2;
        S12 = (pi*(d13^2))/4;
        V1 = S12; 
        A13 = pi*d13;
        dz = l/n;
        q1 = m1/ro1;
    
        % vpoet kontnt T1, w1
        T1 = (ro1*cp1*V1)/(alfa13*A13);
        w1 = q1/S12;

        % vpoet kontnt a1, b1
        a1 = (T1*w1)/dz;
        b1 = ((T1*w1)/dz +1);

        %urenie potu aknch velin a priradenie k vstupnm prietokom
        cc=find(vst);
        % vpoet jednotlivch prvkov matice B
        for (i=1:1:n)
            for(j=1:1:length(cc))
                if(cc(j)==1)
                    if(i==1)
                        B(i,j)=(a1/T1);
                    else
                        B(i,j)=0;                
                    end
                end
                if(cc(j)==2)
                    B(i,j)=1/T1;
                end
            end
        end
    else          
        error ('NESPRAVNE ZADANY VEKTOR RIADIACICH - AKCNYCH VELICIN')
    end
else
    error ('NESPRAVNE ZADANY VSTUPNY POCET  PARAMETROV')
end


