%==========================================================================
% JRVTS - m-file vytvoren pre systm jednokapacitn sprudov rrkov 
% vmennk tepla. Na zklade zadanch vstupnch parametrov pre jednotliv
% funkcie s vypotan zodpovedajce hodnoty.
% pouit funkcie:
%   ts1 = JRVTS1(t1,t3,l,n,d12,d23,m1,ro1,cp1,alfa12);
%       - vpoet vektora teplt. Rozmer (1 x n), kde jednotliv prvky 
%         predstavuj teplotu mdia vo vntornej rrke pre jednotliv
%         seky diskretizcie. Tvar ts1 = [ts1(1) .. ts1(i) .. ts1(n)]
%   A = JRVTS_A(l,n,d12,d23,m1,ro1,cp1,alfa12);
%     - generovanie matice A - matice systmu
%   B = JRVTS_B(l,n,d12,d23,m1,ro1,cp1,alfa12,pom);
%     - generovanie matice B - matice riadenia
%   C = JRVTS_C(n,vystup)       - generovanie matice C - matice vstupu
%   D = JRVTS_D(B,C)            - generovanie matice D
%   ts = JRVTS3(ts1,C,n);
%     - vytvorenie vektora sledovanch teplt v jednotlivch astiach 
%       vmennka tepla v ustlenom stave, t.j. TS = [ts1(i)..]
% vstupn parametre:
%       t1 - teplota mdia na vstupe do vntornej rrky vmennka tepla,
%            t.j. theta1(0). Rozmer (1 x 1) 
%       t3 - teplota mdia na vstupe do vonkajej rrky vmennka tepla,
%            t.j. theta3(0). Rozmer (1 x 1)
%       l  - dlka vmennka tepla. Rozmer (1 x 1)
%       n  - poet sekov pri diskretizcii. Rozmer (1 x 1)
%       d12 - priemer vntornej rrky. Rozmer (1 x 1)
%       d23 - priemer vonkajej rrky. Rozmer (1 x 1)
%       m1  - hmotnostn tok mdia vo vntornej rrke. Rozmer (1 x 1)
%       ro1 - hustota mdia vo vntornej rrke. Rozmer (1 x 1)
%       cp1 - pecifick tepeln kapacita mdia vo vntornej rrke
%       alfa12 - koeficient prestupu tepla prdenm z vntornho mdia do
%                 vonkajieho mdia
%       vstup - vektor sledovanch velin, ktor nadobda hodnoty 0 - 1
%                a jeho rozmer je (1 x n) t.j. [.. T1(i) ..]
%                   0 = ak nechceme dan veliinu mera - vykresli
%                   1 = ak chceme dan veliinu mera - vykresli
%       pom - vektor zskan stanm vektora vst a por
% vstupn parametre:
%       ts1 - vektor teplt. Rozmer (1 x n), kde jednotliv prvky predstavuj
%             teplotu mdia vo vntornej rrke pre jednotliv seky 
%             diskretizcie. Tvar ts1 = [ts1(1) .. ts1(i) .. ts1(n)]
%       A - matica systmu 
%       B - matica riadenia
%       C - matica vstupu
%       D - matica 
%       ts - ts vektor  sledovanch  teplt v  jednotlivch astiach 
%            vmennka tepla v ustlenom stave, t.j. TS = [ts1(i)..]
%       x0 - transponovan vektor vektora ts
%==========================================================================

cc = find(pom);
for (i=1:1:length(cc))
    if(cc(i)==1)
        TT(i)=t1;
    end
    if(cc(i)==2)
        TT(i)=t3;
    end
end

%vygenerovanie jednotlivch parametrov pre linearizovan model
ts1 = JRVTS1(t1,t3,l,n,d12,d23,m1,ro1,cp1,alfa12);
A = JRVTS_A(l,n,d12,d23,m1,ro1,cp1,alfa12);
B = JRVTS_B(l,n,d12,d23,m1,ro1,cp1,alfa12,pom);
C = JRVTS_C(n,vystup);
D = JRVTS_D(B,C);
ts=JRVTS3(ts1,vystup);
x0=ts';
%==========================================================================

