function ts=TRVTS3(TS1,C,n)
%==========================================================================
% TRVTS3  -  funkcia  vytvoren  pre  systm trojkapacitn sprudov rrkov
% vmennk tepla - maticov tvar. Ulohou funkcie je vytvori zo zadanch 
% parametrov vstupn vektor sledovanch teplt v jednotlivch astiach
% vmennka  v ustlenom stave. Funkcia je vyuvan v m-file TRVTS_M.
% vstupn parametre:
%       TS - matica teplt. Rozmer (3 x n), kde riadok zodpoved prslunej
%            teplote a stlpec prslunmu seku pri diskretizcii. Tvar
%            matice TS = [TS1; TS2; TS3], kde:
%               TS1 - vektor teplt mdia vo vntornej rrke pozdl vmennka 
%                     tepla pre jednotliv seky diskretizcie.
%               TS2 - vektor teplt steny rrky pozdl vmennka tepla pre
%                     jednotliv seky diskretizcie.
%               TS3 - vektor teplt mdia vo vonkajej rrke pozdl vmennka
%                     tepla pre jednotliv seky diskretizcie.
%       n  - poet sekov pri diskretizcii. Rozmer (1 x 1)
%       C - C matica vstupu, ktor nesie informcie o tom, ktor teploty
%           budeme sledova - mera. Je tvoren pomocou funkcie 
%           C=TRVTS_C(n,vystup). 
% vstupn parametre:
%       ts - ts vektor  sledovanch  teplt v  jednotlivch astiach 
%            vmennka tepla v ustlenom stave, t.j. 
%                   ts = [ts1(i) ts2(i) ts3(i)..]
%==========================================================================

% test spravneho poctu vstupnych parametrov:
if nargin == 3
    % zskanie rozmerov matice C    
    [r,p] = size(C);
    ts2=TS1';
    for(i=1:1:n)
        for(j=1:1:3)
            TS(j+(i-1)*3)=ts2(i,j);
        end
    end
    % urenie vektora h do s-funkcie
    TS1=zeros(1,p);
    for(i=1:1:r)
        for(j=1:1:p)
            if(C(i,j)==1)
                TS1(j)=TS(j);
            end
        end
    end
    [a,b,d]=find(TS1);
    ts=d;
else
    error ('NESPRAVNE ZADANY POCET VSTUPNYCH PARAMETROV')
end
%==========================================================================
