function [nF1,xF1,nL1,nD1,nV1,nW1]=kolona3(vst,por,u,nF,xF,nL,nD,nV,nW)
%==========================================================================
% KOLONA3 - funkcia vytvoren pre systm etov rektifikan kolona.
% Funkcia na zklade zadanch vstupnch parametrov vytvor vektor
% vstupnch parametrov tak, e ur, ktor s riadiace, resp. poruchov
% veliiny a ktor nie s. Funkcia je pouvan v s-funkciach KOLONA_X.M
% KOLONA_Y.M.
% vstupn parametre
%       vst -  vektor aknch velin, ktor nadobda hodnoty 0 - 1 a jeho
%              rozmer je (1 x 6) t.j. [nF  xF  nL  nD  nV  nW]
%                   0 = ak nie je dan veliina akn - riadiaca
%                   1 = ak je dan veliina akn - riadiaca
%       por -  vektor poruchovch velin, ktor nadobda hodnoty 0 - 1 a
%              jeho rozmer je (1 x 6) t.j. [nF  xF  nL  nD  nV  nW]
%                   0 = ak nie je dan veliina poruchov
%                   1 = ak je dan veliina akn - poruchov
%       u  - vektor aknch - riadiacich velin t.j. [nF  xF  nL  nD  nV  nW]
%       nF - tok ltkovho mnostva privdzanho nstreku
%       xF - molov zlomok (zloenie) privdzanho nstreku
%       nD - tok ltkovho mnostva destiltu
%       nL - tok ltkovho mnostva sptnho toku
%       nV - tok ltkovho mnostva pr odchdzajcich z hlavy kolony
%       nW - tok ltkovho mnostva destilnho zvyku
% vstupn parametre
%       [nF1  xF1  nL1  nD1  nV1  nW1] - veliiny, ktor ak s akn - riadiace,
%            resp. poruchov je im priraden hodnota z vektora u inak je im
%            priraden hodnota prslunej vstupnej premennej.
%==========================================================================

%test sprvneho zadania vektorov vstupnch a poruchovch velin
if(length(vst)==length(por))
    pom=vst+por;
    a=find(pom>1);
    b=length(a);
    %test sprvneho zadania vektorov vstupnch a poruchovch velin
    if b==0
    k=find(pom);
    for(i=1:1:length(vst))
    %zskanie riadiacich resp poruchovch velin
        if((vst(i)==1 & por(i)==0) | (vst(i)==0 & por(i)==1))
            for(i=1:1:length(k))
                if(k(i)==1)     %je riadiaca alebo poruchova
                    nF1=u(i);
                end
                if(k(i)==2)     %je riadiaca alebo poruchova
                    xF1=u(i);
                end
                if(k(i)==3)     %je riadiaca alebo poruchova
                    nL1=u(i);
                end
                if(k(i)==4)     %je riadiaca alebo poruchova
                    nD1=u(i);
                end
                if(k(i)==5)     %je riadiaca alebo poruchova
                    nV1=u(i);
                end
                if(k(i)==6)     %je riadiaca alebo poruchova
                    nW1=u(i);
                end
            end
        else        %vst + por 0
        %zskanie stavovch velin
            pom1=pom-ones(1,length(pom));
            z=find(pom1);
            for(i=1:1:length(z))
                if(z(i)==1)     %je stavova
                    nF1=nF;
                end
                if(z(i)==2)     %je stavova
                    xF1=xF;
                end
                if(z(i)==3)     %je stavova
                    nL1=nL;
                end
                if(z(i)==4)     %je stavova
                    nD1=nD;
                end
                if(z(i)==5)     %je riadiaca alebo poruchova
                    nV1=nV;
                end
                if(z(i)==6)     %je riadiaca alebo poruchova
                    nW1=nW;
                end
            end  
        end
    end
    else
        error('NESPRAVNE ZADANE VEKTORY PORUCHY ALEBO VSTUPOV')
    end
else
    error ('NESPRAVNE ZADANE VEKTORY PORUCHY ALEBO VSTUPOV')
end

%==========================================================================
