function B = matica_B(a,c,d,f)     
%==========================================================================
% MATICA_B - funkcia, ktor vypota maticu B v ustlenom (rovnovnom)
% stave. Funkcia je vytvoren pre linerizovan matematick model zsobnkov
% kvapaliny a je pouvan v m-file MATICA.M.
% vstupn parametre:
%       a - poet zsobnkov
%       c -  vektor aknch velin, ktor nadobda hodnoty 0 - 1 a jeho
%            rozmer je (1 x n) t.j. [qv1 qv2 .. qvn]
%                   0 = ak nie je dan veliina akn - riadiaca
%                   1 = ak je dan veliina akn - riadiaca
%       d - vektor interakcii
%               d(i) = 1 - ak je interakcia medzi i-tym a (i+1) zsobnkom
%                          kvapaliny
%               d(i) = 0 - ak nie je interakcia medzi i-tym a (i+1)
%                          zsobnkom kvapaliny
%               rozmer (1 x n)
%       f - plochy prierezov zsobnkov kvapaliny [F1,F2,...,Fn],
%           rozmer (1 x n).
% vstupn parametre:
%       B - matica B - matica riadenia
%==========================================================================

% test sprvneho potu vstupnch parametrov
if nargin == 4
    % priradenie premennych
    n=a;
    for (i=1:1:n)
        F(i)=f(i);
    end
    %test i nastala interakcia;
    bb = find(d);
    if(length(bb)>0)
        b=1;
    else
        b=0;
    end
    %urenie potu aknch velin a priradenie k vstupnm prietokom
    cc=find(c);
    %test sprvneho zadania interakcie
    if b==0 | b==1
        % vpoet jednotlivch prvkov matice B
        for (i=1:1:n)
            for(j=1:1:length(cc))
                if(i==cc(j))
                    B(i,j)=1/F(i)*c(i);
                else
                    B(i,j)=0;
                end
            end
        end
    else
        error ('NESPRAVNE ZADANA INTERAKCIA')
    end
else
    error ('NESPRAVNE ZADANY VSTUPNY POCET ARGUMENTOV')
end
%==========================================================================