function T= pl_vymenniky2(qv,tv,tp,V,ro,cp,alfa,F,n)
%==========================================================================
% PL_VYMENNIKY2 - funkcia vytvoren pre systm n-pl᚝ovch vmennkov
% tepla zapojench za sebou, priom ohrevnm mdiom je nasten para pri
% teplote varu. Na zklade zadanch vstupnch parametrov s pomocou funkcie 
% fsolve vypotan teploty kvapaliny v ustlenom stave v jednotlivch
% vmennkoch tepla (Ts1,Ts2,...,Tsn).
% vstupn parametre:
%    qv - vektor vstupnch prietokov kvapaliny do jednotlivch vmennkov 
%         tepla. Rozmer (1 x n)
%    tv - vektor vstupnch teplot do jednotlivch vmennkov tepla. Rozmer
%         (1 x n).
%    tp - teplota pary. Rozmer (1 x 1)
%    V  - vektor objemov jednotlivch vmennkov tepla. Rozmer (1 x n).
%    ro - hustota kvapaliny - ohrievanho mdia - priemern hodnota z
%         danho teplotnho intervalu. Rozmer (1x1)
%    cp - pecifick tepeln kapacita ohrievanho mdia - kvapaliny - 
%         priemerna hodnota z danho teplotnho intervalu. Rozmer (1x1)
%    alfa - koeficient prestupu tepla. Jeho rozmer zvis od uvatea a
%         me ma dva tvary. 
%           (1 x 1) - koeficienty s rovnak pre vetky vmennky tepla
%           (1 x n) - koeficienty s rzne pre jednotliv vmennky tepla.
%    F  - vektor teplovmennch plch jednotlivch vmennkov. 
%         Rozmer (1 x n)
%    n  - poet vmennkov tepla. Rozmer (1 x 1)
% vstupn parametre:
%    T - vektor teplot kvapaliny v ustlenom stave v jednotlivch
%        vmennkoch tepla (Ts1,Ts2,...,Tsn).
%==========================================================================

x1=zeros(1,n);
for(i=1:1:n)
    x0(i)=x1(i)+300;
end

[x]=fsolve('pl_vymenniky1',x0,optimset('fsolve'),qv,tv,tp,V,ro,cp,alfa,F,n);
T=x(1:end);

%==========================================================================
