function T = pl_vymenniky6(qv,tv,Q,V,ro,cp,n)
%==========================================================================
% PL_VYMENNIKY2 - funkcia vytvoren pre systm n-vmennkov tepla 
% ohrievanch pomocou uritho zdroja zapojench za sebou, priom ohrevn
% mdium je teplo do systmu dodvan,i pouitm elektrickho
% ohrevu, ponornm hadom atd. Na zklade zadanch vstupnch parametrov s
% pomocou funkcie fsolve vypotan teploty kvapaliny v ustlenom stave 
% v jednotlivch vmennkoch tepla t.j. vektor (Ts1,Ts2,...,Tsn).
% Vstupn parametre:
%    qv - vektor vstupnch prietokov kvapaliny do jednotlivch vmennkov 
%         tepla. Rozmer (1 x n)
%    tv - vektor vstupnch teplot do jednotlivch vmennkov tepla. Rozmer
%         (1 x n).
%    Q  - teplo, ktor je do sstavy dodan od uritho zdroja. Rozmer (1 x 1)
%    V  - vektor objemov jednotlivch vmennkov tepla. Rozmer (1 x n).
%    ro - hustota kvapaliny - ohrievanho mdia - priemern hodnota z
%         danho teplotnho intervalu. Rozmer (1x1)
%    cp - pecifick tepeln kapacita ohrievanho mdia - kvapaliny - 
%         priemerna hodnota z danho teplotnho intervalu. Rozmer (1x1)
%    n  - poet vmennkov tepla. Rozmer (1 x 1)
% Vstupn parametre:
%    T - vektor teplot kvapaliny v ustlenom stave v jednotlivch
%        vmennkoch tepla (Ts1,Ts2,...,Tsn).
%==========================================================================

x1=zeros(1,n);
for(i=1:1:n)
    x0(i)=x1(i)+300;
end

[x]=fsolve('pl_vymenniky5',x0,optimset('fsolve'),qv,tv,Q,V,ro,cp,n);
T=x(1:end);

%==========================================================================
