function [Q1, qv1, tv1]=pl_vymenniky7(vst,por,u,Q,qv,tv,n)
%==========================================================================
% PL_VYMENNIKY3 - funkcia vytvoren pre systm n-pltovch vmennkov
% tepla ohrievanch parou resp. pre systm n-pltovch vmennkov
% ohrievanch poutm uritho ohrevnho zdroja. Funkcia na zklade 
% zadanch vstupnch parametrov vytvor vektor vstupnch parametrov tak,
% e ur, ktor s riadiace, resp. poruchov veliiny a ktor nie s.
% Funkcia je pouvan v s-funkciach PL_VYMENNIKY_P resp. PL_VYMENNIKY_O.
% vstupn parametre
%       vst -  vektor aknch velin, ktor nadobda hodnoty 0 - 1 a jeho
%              rozmer je (1 x 2n+1) t.j. [Tp .. qvi .. Tvi ..]
%                   0 = ak nie je dan veliina akn - riadiaca
%                   1 = ak je dan veliina akn - riadiaca
%       por -  vektor poruchovch velin, ktor nadobda hodnoty 0 - 1 a
%              jeho rozmer je (1 x 2n+1) t.j. [Tp .. qvi .. Tvi ..]
%                   0 = ak nie je dan veliina poruchov
%                   1 = ak je dan veliina akn - poruchov
%       u  - vektor aknch - riadiacich velin t.j. [Tp .. qvi .. Tvi ..]
%    qv - vektor vstupnch prietokov kvapaliny do jednotlivch vmennkov 
%         tepla. Rozmer (1 x n)
%    tv - vektor vstupnch teplot do jednotlivch vmennkov tepla. Rozmer
%         (1 x n).
%    Q  - vektor tepiel dodanch ohrevnm zariadenm (1 x n)
%    n  - poet vmennkov tepla. Rozmer (1 x 1)
% vstupn parametre
%    [tp1  qv1  tv1] - veliiny, ktor ak s akn - riadiace, resp. poruchov
%           je im priraden hodnota z vektora u inak je im priraden hodnota
%           prslunej vstupnej premennej.
%==========================================================================

%test sprvneho zadania vektorov vstupnch a poruchovch velin
if(length(vst)==length(por))
    if length(vst) == 3*n & length(por) == 3*n 
    pom=vst+por;
        Qx=Q;
    a=length(Qx);
    if (a == 1)     %Q je rovnaka pre vsetky vymenniky
        for (i=1:1:n)
           Q(i) = Qx;
       end
    else
       Q = Qx;
    end
    %test sprvneho zadania vektorov vstupnch a poruchovch velin
     pom1=find(pom);
     if (length(pom1)==length(u))
        for(i=1:1:length(vst))
        %zskanie riadiacich resp poruchovch velin
            if((vst(i)==1 & por(i)==0) | (vst(i)==0 & por(i)==1))
                for(i=1:1:length(pom1))
                    if(pom1(i)<=n )     %je riadiaca alebo poruchova
                        j = pom1(i);
                        Q1(j)=u(i);
                    end
                    if(pom1(i)>n & pom1(i)<=2*n)
                        j = pom1(i)-n;
                        qv1(j)=u(i);
                    end
                    if(pom1(i)>(2*n))
                        j = pom1(i)-2*n;
                        tv1(j)=u(i);
                    end
                end
            else        %vst + por 0
                %zskanie stavovch velin
                pom2=pom-ones(1,length(pom));
                pom3=find(pom2);
                for(i=1:1:length(pom3))
                    if(pom3(i)<=n)     %je stavova
                        k=pom3(i);
                        Q1(k) = Q(k);
                    end        
                    if(pom3(i)>n & pom3(i)<=2*n)
                        k=pom3(i)-n;
                        qv1(k) = qv(k);
                    end
                    if(pom3(i)>2*n)
                        k=pom3(i)-2*n;
                        tv1(k) = tv(k);
                    end
                end
            end
        end
    else
        error('NESPRAVNE ZADANE VEKTORY PORUCHY, VSTUPOV ALEBO RIADIACE VELICINY ')
    end
    else
        error('NESPRAVNE ZADANE VEKTORY PORUCHY, VSTUPOV ALEBO RIADIACE VELICINY ')
    end
else
    error ('NESPRAVNE ZADANE VEKTORY PORUCHY ALEBO VSTUPOV')
end

%==========================================================================
