function [q1,qc1,Tv1,Tvc1,cv1]=reaktor3(vst,por,u,q,qc,Tv,Tvc,cv)
%==========================================================================
% REAKTOR3 - funkcia vytvoren pre systm prietokov chemick reaktor.
% Funkcia na zklade zadanch vstupnch parametrov vytvor vektor
% vstupnch parametrov tak, e ur, ktor s riadiace, resp. poruchov
% veliiny a ktor nie s. Funkcia je pouvan v s-funkcii REAKTOR_UN.M
% vstupn parametre
%       vst -  vektor aknch velin, ktor nadobda hodnoty 0 - 1 a jeho
%              rozmer je (1 x 5) t.j. [q  qc  Tv  Tvc  cv]
%                   0 = ak nie je dan veliina akn - riadiaca
%                   1 = ak je dan veliina akn - riadiaca
%       por -  vektor poruchovch velin, ktor nadobda hodnoty 0 - 1 a
%              jeho rozmer je (1 x 5) t.j. [q  qc  Tv  Tvc  cv]
%                   0 = ak nie je dan veliina poruchov
%                   1 = ak je dan veliina akn - poruchov
%       u  - vektor aknch - riadiacich velin t.j. [q  qc  Tv  Tvc  cv]
%       q  - vstupn prietok reaknej zmesi
%       qc - vstupn prietok chladiaceho mdia
%       Tv - vstupn teplota reaknej zmesi
%       Tvc- vstupn teplota chladiaceho mdia
%       cv - vektor vstupnch koncentrcii
% vstupn parametre
%       [q1  qc1  Tv1  Tvc1  cv1] - veliiny, ktor ak s akn - riadiace,
%            resp. poruchov je im priraden hodnota z vektora u inak je im
%            priraden hodnota prslunej vstupnej premennej.
%==========================================================================

%test sprvneho zadania vektorov vstupnch a poruchovch velin
if(length(vst)==length(por))
    pom=vst+por;
    %test sprvneho zadania vektorov vstupnch a poruchovch velin
    k=find(pom);
    if length(k)==length(u)
        for(i=1:1:length(vst))
        %zskanie riadiacich resp poruchovch velin
        if((vst(i)==1 & por(i)==0) | (vst(i)==0 & por(i)==1))
            for(i=1:1:length(k))
                if(k(i)==1)     %je riadiaca alebo poruchova
                    q1=u(i);
                end
                if(k(i)==2)     %je riadiaca alebo poruchova
                    qc1=u(i);
                end
                if(k(i)==3)     %je riadiaca alebo poruchova
                    Tv1=u(i);
                end
                if(k(i)==4)     %je riadiaca alebo poruchova
                    Tvc1=u(i);
                end
                if(k(i)==5)     %je riadiaca alebo poruchova
                    cv1=u(i:end);
                end
            end
        else        %vst + por 0
        %zskanie stavovch velin
            pom1=pom-ones(1,length(pom));
            z=find(pom1);
            for(i=1:1:length(z))
                if(z(i)==1)     %je stavova
                    q1=q;
                end
                if(z(i)==2)     %je stavova
                    qc1=qc;
                end
                if(z(i)==3)     %je stavova
                    Tv1=Tv;
                end
                if(z(i)==4)     %je stavova
                    Tvc1=Tvc;
                end
                if(z(i)==5)     %je stavova
                    cv1=cv;
                end
            end  
        end
        end
        else
        error('NESPRAVNE ZADANE VEKTORY PORUCHY ALEBO VSTUPOV')
    end
else
    error ('NESPRAVNE ZADANE VEKTORY PORUCHY ALEBO VSTUPOV')
end

%==========================================================================
