function [q1,Tv1,Qc1,cv1]=reaktor3_CP(vst,por,u,q,Tv,Qc,cv)
%==========================================================================
% REAKTOR3 - funkcia vytvoren pre systm prietokov chemick reaktor
% v ktorom prebiehaj chemick reakcie:
%           aA --k1--> bB --k2--> cC
%               aA --k3--> dD
% Funnkcia na zklade zadanch vstupnch parametrov vytvor vektor
% vstupnch parametrov tak, e ur, ktor s riadiace, resp. poruchov
% veliiny a ktor nie s. Funkcia je pouvan v s-funkcii REAKTOR_CP.M
% vstupn parametre
%       vst -  vektor riadiacih velin, ktor nadobda hodnoty 0 - 1 a
%              jeho rozmer je (1 x 4) t.j. [q  Tv  Qc  cv]
%                   0 = ak nie je dan veliina akn - riadiaca
%                   1 = ak je dan veliina akn - riadiaca
%       por -  vektor poruchovch velin, ktor nadobda hodnoty 0 - 1 a
%              jeho rozmer je (1 x 4) t.j. [q  Tv  Qc  cv]
%                   0 = ak nie je dan veliina poruchov
%                   1 = ak je dan veliina akn - poruchov
%       u  - vektor aknch - riadiacich velin t.j. [q  Tv  Qc  cv]
%       q  - vstupn prietok reaknej zmesi
%       Tv - vstupn teplota reaknej zmesi
%       Qc - teplo, kror prjme chladiace mdium
%       cv - vektor vstupnch koncentrcii
% vstupn parametre
%       [q1  Tv1  Qc1  cv1] - veliiny, ktor ak s akn - riadiace,
%            resp. poruchov je im priraden hodnota z vektora u inak je im
%            priraden hodnota prslunej vstupnej premennej.
%==========================================================================

%test sprvneho zadania vektorov vstupnch a poruchovch velin
if(length(vst)==length(por))
    pom=vst+por;
    k=find(pom);
    if length(k)==length(u)
        for(i=1:1:length(vst))
            %zskanie riadiacich resp poruchovch velin
            if((vst(i)==1 & por(i)==0) | (vst(i)==0 & por(i)==1))
                for(i=1:1:length(k))
                    if(k(i)==1)     %je riadiaca alebo poruchova
                        q1=u(i);
                    end
                    if(k(i)==2)     %je riadiaca alebo poruchova
                        Tv1=u(i);
                    end
                    if(k(i)==3)     %je riadiaca alebo poruchova
                        Qc1=u(i);
                    end
                    if(k(i)==4)     %je riadiaca alebo poruchova
                        cv1=u(i:end);
                    end
                end
            else        %vst + por 0
                %zskanie stavovch velin
                pom1=pom-ones(1,length(pom));
                z=find(pom1);
                for(i=1:1:length(z))
                    if(z(i)==1)     %je stavova
                        q1=q;
                    end                    
                    if(z(i)==2)     %je stavova
                        Tv1=Tv;
                    end
                    if(z(i)==3)     %je stavova
                        Qc1=Qc;
                    end
                    if(z(i)==4)     %je stavova
                        cv1=cv;
                    end
                end  
            end           
        end
    else
        error ('NESPRAVNE ZADANE VEKTORY PORUCH, RIADIACICH VELICIN ALEBO VSTUPY')
    end
else
    error ('NESPRAVNE ZADANE VEKTORY PORUCHY ALEBO RIADIACE VELICINY')
end

%==========================================================================
