function C=reaktor4_CP(rp,pp,vystup)
%==========================================================================
% REAKTOR4_CP - funkcia ktora vypota maticu C v ustlenom (rovnovnom)
% stave. Funkcia je vytvoren pre systm prietokov chemick reaktor, 
% v ktorom prebiehaj chemick reakcie:
%           aA --k1--> bB --k2--> cC
%               aA --k3--> dD
% vstupn parametre:
%       rp - poet reaktantov, ktor vystupuj v jednotlivch reakcich.
%            Maximlny poet reaktantov je p.
%       pp - poet produktov, ktor vystuj vo jednotlivch reakcich.
%       vstup - vektor sledovanch velin, ktor nadobda hodnoty 0 - 1
%                a jeho rozmer je (1 x 6) t.j. [ci .. cn T  Tc]
%                   0 = ak nechceme dan veliinu mera - vykresli
%                   1 = ak chceme dan veliinu mera - vykresli
% vystupn parametre:
%       C - matica C - matica vstupu
%==========================================================================

%test sprvneho zadania potu vstupnch parametrov
if nargin==3
    n=rp+pp;
    k=0;
    %vytvorenie matice vstupu - matice C
    if length(vystup) == (n+1)
        l=find(vystup);
        k=length(l);
        for (i=1:1:n+1)
            for (j=1:1:k)
                if l(j)==i
                    C(i,j)=1;
                else
                    C(i,j)=0;
                end
            end
        end
    else
        error('NESPRAVNE ZADANY VEKTOR SLEDOVANYCH VELICIN ALEBO INY PARAMETER FUNKCIE')
    end
else
    error('NESPRAVNE ZADANE VSTUPNE PARAMETRE')
end
%==========================================================================
