function k = zasobniky1(x,qvs,a,d,e,f)
%==========================================================================
% ZASOBNIKY1 - funkcia vytvoren pre systm zsobnkov kvaliny. Funkcia 
% generuje na zklade zadanch vstupnch parametrov vektor zvislost
% zmien vok hladn v jednotlivch zsobnkoch od asu a transponuje ho do
% vstupnej premennej k. Premenn k je nasledovne vyuvan vo funkcii
% ZASOBNIKY2
% vstupn parametre 
%       x - x vektor vok hladn v jednotlivch zsobnkoch, ktor je
%           generovan potaom, rozmer (1 x n).
%       qvs - vektor vstupnch prietokov do jednotlivch zsobnkov kvapaliny
%           [qv0,qv1,...,qvn], rozmer (1 x n).
%       a - poet zsobnkov
%       d - vektor interakcii
%               d(i) = 1 - ak je interakcia medzi i-tym a (i+1) zsobnkom
%                          kvapaliny
%               d(i) = 0 - ak nie je interakcia medzi i-tym a (i+1)
%                          zsobnkom kvapaliny
%               rozmer (1 x n)
%       e - vektor kontnt (charakteristk) ventilov [k11,k22,...,kn] pre
%           jednotliv zsobnky kvapaliny, rozmer (1 x n)
%       f - plochy prierezov zsobnkov kvapaliny [F1,F2,...,Fn],
%           rozmer (1 x n).
% vstupn parametre
%       k - transponovan vektor ktor obsahuje zvislosti zmien vok
%           hladn v jednotlivch zsobnkoch kvapaliny.
%==========================================================================

%test sprvneho zadania potu vstupnch parametrov
if nargin==6 
%priradenie dlky vektorov jednotlivm premennm
p_prietok=length(qvs);
p_zasobnikov=a;
p_int=length(d);
p_ventilov=length(e);
p_prierezy=length(f);
n=p_zasobnikov;
%priradenie premennch
    for (i=1:1:p_zasobnikov)
        k(i)=e(i);
        F(i)=f(i);
    end
%test i nastala interakcia;
    bb = find(d);
    if(length(bb)>0)
        b=1;
    else
        b=0;
    end
%zskanie premennej r - vstupu funkcie 
    r=zeros(1,length(n));
    %testovanie sprvneho zadania interakcie
    if (b==0 | b==1)
        %bez interakcie
        if b==0     
            if (p_prietok==p_zasobnikov & p_ventilov==p_prierezy & p_prierezy==p_zasobnikov)
                % vstup z prvho zsobnka kvapaliny bez interakcie
                r(1)=1/F(1)*qvs(1)-k(1)/F(1)*sqrt(x(1));
                % vstup z ostatnch (n-1)zsobnkov kvapaliny bez interakcie
                for (i=2:1:n)
                    r(i)=1/F(i)*qvs(i)+k(i-1)/F(i)*sqrt(x(i-1))-k(i)/F(i)*sqrt(x(i));
                end
            end
        end      
        %z interakciou                      
        if b==1  
            if (p_prietok==p_zasobnikov & p_ventilov==p_prierezy & p_int==p_zasobnikov & p_zasobnikov==p_ventilov)
               %zskanie premennej r pre prv zsobnk kvapaliny
               i=1;
               if (d(i)==0 & i==1)                                  %bez interakcie 
                   r(i)=1/F(i)*qvs(i)-k(i)/F(i)*sqrt(x(i));                    
               else                                                 %s interakciou
                   r(i)=1/F(i)*qvs(i)-k(i)/F(i)*sqrt(x(i)-x(i+1));
               end
               %zskanie premennej r pre zsobnky kvapaliny  2-(n-1)
               for (i=2:1:n-1)
                   if d(i)==0                                       %bez interakcie
                       if (d(i-1)==0)                               %interakcia nebola
                           r(i)=1/F(i)*qvs(i)+k(i-1)/F(i)*sqrt(x(i-1))-k(i)/F(i)*sqrt(x(i));                              
                       else                                         %interakcia bola
                           r(i)=1/F(i)*qvs(i)+k(i-1)/F(i)*sqrt(x(i-1)-x(i))-k(i)/F(i)*sqrt(x(i));
                       end
                   else                                             %s interakciou
                       if (d(i-1)==0)                               %interakcia nebola
                           r(i)=1/F(i)*qvs(i)+k(i-1)/F(i)*sqrt(x(i-1))-k(i)/F(i)*sqrt(x(i)-x(i+1));
                       else                                         %interakcia bola    
                           r(i)=1/F(i)*qvs(i)+k(i-1)/F(i)*sqrt(x(i-1)-x(i))-k(i)/F(i)*sqrt(x(i)-x(i+1));
                       end
                   end                
               end             
               %zskanie premennej r pre n-t zasobnk kvapaliny
               if d(end-1)==0                                       %interakcia nebola
                   r(n)=1/F(n)*qvs(n)+k(n-1)/F(n)*sqrt(x(n-1))-k(n)/F(n)*sqrt(x(n));
               else                                                 %interakcia bola
                   r(n)=1/F(n)*qvs(n)+k(n-1)/F(n)*sqrt(x(n-1)-x(n))-k(n)/F(n)*sqrt(x(n));
               end
            end
        end
    else    
       error('NESPRAVNE ZADANIE INTERAKCIE')
    end
    %vstup z funkcie k=transponovan vektor r - potrebn na vpoet Jacobianu
    k=r';
else 
  error('NESPRAVNE ZADANIE PARAMETROV')
end

%==========================================================================
