function hs=zasobniky3(h,C)
%==========================================================================
% ZASOBNIKY3  -  funkcia  vytvoren  pre  linearizovan  matematick  model
% zsobnkov kvapaliny. Ulohou funkcie je vytvori zo zadanch parametrov
% vstupn vektor sledovanch vok hladn v systme zsobnkoch kvapaliny
% v ustlenom stave.
% vstupn parametre:
%       h - h  vektor  vypotanch  vok  hladn  v  jednotlivch
%           zsobnkoch kvapaliny v ustlenom stave, rozmer (1 x n).
%       C - C matica vstupu, ktor nesie informcie o tom, ktor vky
%           hladn budeme sledova (bud zobrazovan v grafe). Je tvoren
%           pomocou funkcie C=matica_C(a,g). 
% vstupn parametre:
%       hs - hs vektor  sledovanch  vok  hladn  v  jednotlivch 
%            zsobnkoch kvapaliny v ustlenom stave.
%==========================================================================

% test spravneho poctu vstupnych parametrov:
if nargin == 2
% zskanie rozmerov matice C    
[r,p]=size(C);
    % urenie vektora h do s-funkcie
    for(i=1:1:r)
        for(j=1:1:p)
            if(C(i,j)~=0)
                hs(i)=h(j);
            end
        end
    end
else
    error ('NESPRAVNE ZADANY POCET VSTUPNYCH PARAMETROV')
end
%==========================================================================
